# Uses of Interface
com.opensymphony.sitemesh.ContentProcessor

Packages that use ContentProcessor
Package
Description
com.opensymphony.sitemesh.compatability
com.opensymphony.sitemesh.webapp

## Uses of ContentProcessor in com.opensymphony.sitemesh.compatability

Classes in com.opensymphony.sitemesh.compatability that implement ContentProcessor
Modifier and Type
Class
Description
`class`
`PageParser2ContentProcessor`
Adapts a SiteMesh 2 `PageParser` to a SiteMesh 3 `ContentProcessor`.

## Uses of ContentProcessor in com.opensymphony.sitemesh.webapp

Fields in com.opensymphony.sitemesh.webapp declared as ContentProcessor
Modifier and Type
Field
Description
`private final ContentProcessor`
ContentBufferingResponse.`contentProcessor`
Methods in com.opensymphony.sitemesh.webapp that return ContentProcessor
Modifier and Type
Method
Description
`protected ContentProcessor`
SiteMeshFilter.`initContentProcessor(SiteMeshWebAppContext webAppContext)`
Methods in com.opensymphony.sitemesh.webapp with parameters of type ContentProcessor
Modifier and Type
Method
Description
`private Content`
SiteMeshFilter.`obtainContent(ContentProcessor contentProcessor, SiteMeshWebAppContext webAppContext, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.FilterChain chain)`
Continue in filter-chain, writing all content to buffer and parsing into returned `Page` object.
Constructors in com.opensymphony.sitemesh.webapp with parameters of type ContentProcessor
Modifier
Constructor
Description
``
`ContentBufferingResponse(javax.servlet.http.HttpServletResponse response, ContentProcessor contentProcessor, SiteMeshWebAppContext webAppContext)`